<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net10.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWPF>true</UseWPF>
    <PreserveCompilationContext>true</PreserveCompilationContext>
    <ApplicationIcon>Resources\Images\Elwig.ico</ApplicationIcon>
    <Version>1.0.2.0</Version>
    <SatelliteResourceLanguages>de-AT</SatelliteResourceLanguages>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>

  <ItemGroup>
    <Resource Include="Resources\Images\Elwig.png" />
    <Content Include="Resources\Images\Elwig.ico" />
    <EmbeddedResource Include="Resources\Schemas\PaymentVariantData.json" />
    <EmbeddedResource Include="Resources\Sql\*" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="CommunityToolkit.Mvvm" Version="8.4.0" />
    <PackageReference Include="LinqKit" Version="1.3.9" />
    <PackageReference Include="MailKit" Version="4.14.1" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Language" Version="6.0.36" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="10.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="10.0.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Ini" Version="10.0.0" />
    <PackageReference Include="Microsoft.Web.WebView2" Version="1.0.3595.46" />
    <PackageReference Include="NJsonSchema" Version="11.5.2" />
    <PackageReference Include="PdfiumViewer" Version="2.13.0" />
    <PackageReference Include="PdfiumViewer.Native.x86_64.no_v8-no_xfa" Version="2018.4.8.256" />
    <PackageReference Include="RazorLight" Version="2.3.1" />
    <PackageReference Include="ScottPlot.WPF" Version="5.1.57" />
    <PackageReference Include="SQLitePCLRaw.bundle_e_sqlite3" Version="3.0.2" />
    <PackageReference Include="System.IO.Hashing" Version="10.0.0" />
    <PackageReference Include="System.IO.Ports" Version="10.0.0" />
    <PackageReference Include="System.Management" Version="10.0.0" />
    <PackageReference Include="System.Text.Encoding.CodePages" Version="10.0.0" />
  </ItemGroup>

</Project>
